Index: plugins/puredata/Makefile.am
===================================================================
--- plugins/puredata/Makefile.am	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ plugins/puredata/Makefile.am	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -39,9 +39,9 @@
 
 pdinstallref_DATA = \
-	help/help-aubioonset~.pd \
-	help/help-aubioquiet~.pd \
-	help/help-aubiotempo~.pd \
-	help/help-aubiotss~.pd \
-	help/help-aubiopitch~.pd
+	help/aubioonset~-help.pd \
+	help/aubioquiet~-help.pd \
+	help/aubiotempo~-help.pd \
+	help/aubiotss~-help.pd \
+	help/aubiopitch~-help.pd
 
 pdinstallexp_DATA = \
Index: plugins/puredata/aubioonset~.c
===================================================================
--- plugins/puredata/aubioonset~.c	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ plugins/puredata/aubioonset~.c	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -113,6 +113,4 @@
 			(t_method)aubioonset_tilde_debug,
         		gensym("debug"), 0);
-	class_sethelpsymbol(aubioonset_tilde_class, 
-			gensym("help-aubioonset~.pd"));
 	CLASS_MAINSIGNALIN(aubioonset_tilde_class, 
 			t_aubioonset_tilde, threshold);
Index: plugins/puredata/aubiopitch~.c
===================================================================
--- plugins/puredata/aubiopitch~.c	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ plugins/puredata/aubiopitch~.c	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -111,6 +111,4 @@
 			(t_method)aubiopitch_tilde_debug,
         		gensym("debug"), 0);
-	class_sethelpsymbol(aubiopitch_tilde_class, 
-			gensym("help-aubiopitch~.pd"));
 	CLASS_MAINSIGNALIN(aubiopitch_tilde_class, 
 			t_aubiopitch_tilde, threshold);
Index: plugins/puredata/aubioquiet~.c
===================================================================
--- plugins/puredata/aubioquiet~.c	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ plugins/puredata/aubioquiet~.c	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -112,6 +112,4 @@
 			(t_method)aubioquiet_tilde_debug,
         		gensym("debug"), 0);
-	class_sethelpsymbol(aubioquiet_tilde_class, 
-			gensym("help-aubioquiet~.pd"));
 	CLASS_MAINSIGNALIN(aubioquiet_tilde_class, 
 			t_aubioquiet_tilde, threshold);
Index: plugins/puredata/aubiotempo~.c
===================================================================
--- plugins/puredata/aubiotempo~.c	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ plugins/puredata/aubiotempo~.c	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -150,6 +150,4 @@
 			(t_method)aubiotempo_tilde_debug,
         		gensym("debug"), 0);
-	class_sethelpsymbol(aubiotempo_tilde_class, 
-			gensym("help-aubiotempo~.pd"));
 	CLASS_MAINSIGNALIN(aubiotempo_tilde_class, 
 			t_aubiotempo_tilde, threshold);
Index: plugins/puredata/aubiotss~.c
===================================================================
--- plugins/puredata/aubiotss~.c	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ plugins/puredata/aubiotss~.c	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -132,6 +132,4 @@
 			(t_method)aubiotss_tilde_debug,
         		gensym("debug"), 0);
-	class_sethelpsymbol(aubiotss_tilde_class, 
-			gensym("help-aubiotss~.pd"));
 	CLASS_MAINSIGNALIN(aubiotss_tilde_class, 
 			t_aubiotss_tilde, thres);
Index: plugins/puredata/help/aubioonset~-help.pd
===================================================================
--- plugins/puredata/help/aubioonset~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
+++ plugins/puredata/help/aubioonset~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -0,0 +1,18 @@
+#N canvas 245 501 672 291 10;
+#X obj 50 33 adc~;
+#X text 181 26 aubioonset~ takes an input signal and outputs a bang
+when an onset has been detected;
+#X text 180 64 this is somewhat similar to the bonk~ object \, except
+it should work on non-percussive attacks too.;
+#X obj 50 97 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
+-1;
+#X text 182 111 the creation argument and right input can be used to
+set the detection threshold. values between 0 and 10 are accepted.
+low values favorise over-detection. higher values will reduce the number
+of onset detected.;
+#X obj 50 65 aubioonset~ 0.3;
+#X floatatom 128 29 5 0 0 0 - - -;
+#X connect 0 0 5 0;
+#X connect 0 1 5 0;
+#X connect 5 0 3 0;
+#X connect 6 0 5 1;
Index: plugins/puredata/help/aubiopitch~-help.pd
===================================================================
--- plugins/puredata/help/aubiopitch~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
+++ plugins/puredata/help/aubiopitch~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -0,0 +1,18 @@
+#N canvas 254 165 450 425 10;
+#X floatatom 126 230 5 0 0 0 - - -;
+#X obj 125 168 osc~ 440;
+#X obj 128 111 hsl 128 15 0 127 0 0 empty empty empty -2 -6 0 8 -262144
+-1 -1 8100 1;
+#X obj 125 131 mtof;
+#X floatatom 125 151 5 0 0 0 - - -;
+#X obj 141 200 aubiopitch~;
+#X obj 103 274 dac~;
+#X obj 126 250 osc~;
+#X connect 0 0 7 0;
+#X connect 1 0 5 0;
+#X connect 1 0 6 0;
+#X connect 2 0 3 0;
+#X connect 3 0 4 0;
+#X connect 4 0 1 0;
+#X connect 5 0 0 0;
+#X connect 7 0 6 1;
Index: plugins/puredata/help/aubioquiet~-help.pd
===================================================================
--- plugins/puredata/help/aubioquiet~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
+++ plugins/puredata/help/aubioquiet~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -0,0 +1,20 @@
+#N canvas 225 643 515 246 10;
+#X obj 20 28 adc~;
+#X obj 19 192 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
+-1;
+#X obj 119 192 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
+-1;
+#X obj 19 156 aubioquiet~ -90;
+#X text 140 193 noisy;
+#X text 38 192 quiet;
+#X text 60 26 aubioquiet~ outputs bangs: - on its left input when a
+change to silence is detected - on its right output when a change to
+loudness is detected;
+#X text 59 82 object creation argument and right input can be used
+to set the noise threshold \, in dB. default value is -90;
+#X text 182 138 this object was written as an exercise and test. note
+that it could also easily be rewritten as a patch.;
+#X connect 0 0 3 0;
+#X connect 0 1 3 0;
+#X connect 3 0 1 0;
+#X connect 3 1 2 0;
Index: plugins/puredata/help/aubiotempo~-help.pd
===================================================================
--- plugins/puredata/help/aubiotempo~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
+++ plugins/puredata/help/aubiotempo~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -0,0 +1,16 @@
+#N canvas 245 501 672 291 10;
+#X obj 50 33 adc~;
+#X obj 50 97 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
+-1;
+#X floatatom 128 29 5 0 0 0 - - -;
+#X text 180 71 the creation argument and right input can be used to
+set the detection threshold of the onset detection function. see the
+documentation for aubioonset~;
+#X obj 50 65 aubiotempo~ 0.3;
+#X text 181 26 aubiotempo~ takes an input signal and outputs a bang
+when at each detected beat location.;
+#X text 416 45;
+#X connect 0 0 4 0;
+#X connect 0 1 4 0;
+#X connect 2 0 4 1;
+#X connect 4 0 1 0;
Index: plugins/puredata/help/aubiotss~-help.pd
===================================================================
--- plugins/puredata/help/aubiotss~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
+++ plugins/puredata/help/aubiotss~-help.pd	(revision 1e7ef7c096c79a54c7ed796bfb74d9eaf1490196)
@@ -0,0 +1,70 @@
+#N canvas 332 424 550 443 10;
+#X msg 173 64 debug;
+#X obj 138 11 adc~;
+#X obj 183 421 dac~;
+#X floatatom 244 74 5 0 0 0 - - -;
+#X obj 221 12 hsl 256 15 0 256 0 0 empty empty empty -2 -6 0 8 -262144
+-1 -1 25200 1;
+#X obj 167 182 tgl 15 0 empty empty empty 0 -6 0 8 -262144 -1 -1 1
+1;
+#X obj 267 185 tgl 15 0 empty empty empty 0 -6 0 8 -262144 -1 -1 1
+1;
+#X text 265 161 play steady states components;
+#X text 8 160 play transients;
+#X floatatom 10 226 5 0 0 0 - - -;
+#X obj 13 182 hsl 128 15 0 127 0 0 empty empty empty -2 -6 0 8 -262144
+-1 -1 11700 1;
+#X floatatom 285 225 5 0 0 0 - - -;
+#X obj 301 186 hsl 128 15 0 127 0 0 empty empty empty -2 -6 0 8 -262144
+-1 -1 4100 1;
+#X text 236 -1 separation threshold;
+#X obj 144 96 aubiotss~ 0.015;
+#X text 265 99 transient and steady state separation;
+#X obj 244 239 *~ 1;
+#X obj 244 267 *~ 1;
+#X obj 144 240 *~ 1;
+#X obj 144 265 *~ 1;
+#X obj 285 204 / 68;
+#X obj 10 203 / 68;
+#X obj 244 51 / 256;
+#X obj 172 350 *~;
+#X obj 222 334 *~;
+#X obj 199 219 tgl 15 0 empty empty empty 0 -6 0 8 -262144 -1 -1 0
+1;
+#X text 185 204 stereo;
+#X obj 311 139 aubiotss~ 0.015;
+#X obj 299 68 * -1;
+#X obj 353 63 + 1;
+#X floatatom 412 63 5 0 0 0 - - -;
+#X connect 0 0 14 0;
+#X connect 1 0 14 0;
+#X connect 1 0 27 0;
+#X connect 1 1 14 0;
+#X connect 1 1 27 0;
+#X connect 3 0 14 1;
+#X connect 3 0 28 0;
+#X connect 4 0 22 0;
+#X connect 5 0 19 1;
+#X connect 6 0 17 1;
+#X connect 9 0 18 1;
+#X connect 10 0 21 0;
+#X connect 11 0 16 1;
+#X connect 12 0 20 0;
+#X connect 14 0 18 0;
+#X connect 16 0 17 0;
+#X connect 17 0 2 1;
+#X connect 17 0 24 0;
+#X connect 18 0 19 0;
+#X connect 19 0 2 0;
+#X connect 19 0 23 0;
+#X connect 20 0 11 0;
+#X connect 21 0 9 0;
+#X connect 22 0 3 0;
+#X connect 23 0 2 1;
+#X connect 24 0 2 0;
+#X connect 25 0 23 0;
+#X connect 25 0 24 1;
+#X connect 27 1 16 0;
+#X connect 28 0 29 0;
+#X connect 29 0 30 0;
+#X connect 30 0 27 1;
Index: plugins/puredata/help/help-aubioonset~.pd
===================================================================
--- plugins/puredata/help/help-aubioonset~.pd	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#N canvas 245 501 672 291 10;
-#X obj 50 33 adc~;
-#X text 181 26 aubioonset~ takes an input signal and outputs a bang
-when an onset has been detected;
-#X text 180 64 this is somewhat similar to the bonk~ object \, except
-it should work on non-percussive attacks too.;
-#X obj 50 97 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
--1;
-#X text 182 111 the creation argument and right input can be used to
-set the detection threshold. values between 0 and 10 are accepted.
-low values favorise over-detection. higher values will reduce the number
-of onset detected.;
-#X obj 50 65 aubioonset~ 0.3;
-#X floatatom 128 29 5 0 0 0 - - -;
-#X connect 0 0 5 0;
-#X connect 0 1 5 0;
-#X connect 5 0 3 0;
-#X connect 6 0 5 1;
Index: plugins/puredata/help/help-aubiopitch~.pd
===================================================================
--- plugins/puredata/help/help-aubiopitch~.pd	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#N canvas 254 165 450 425 10;
-#X floatatom 126 230 5 0 0 0 - - -;
-#X obj 125 168 osc~ 440;
-#X obj 128 111 hsl 128 15 0 127 0 0 empty empty empty -2 -6 0 8 -262144
--1 -1 8100 1;
-#X obj 125 131 mtof;
-#X floatatom 125 151 5 0 0 0 - - -;
-#X obj 141 200 aubiopitch~;
-#X obj 103 274 dac~;
-#X obj 126 250 osc~;
-#X connect 0 0 7 0;
-#X connect 1 0 5 0;
-#X connect 1 0 6 0;
-#X connect 2 0 3 0;
-#X connect 3 0 4 0;
-#X connect 4 0 1 0;
-#X connect 5 0 0 0;
-#X connect 7 0 6 1;
Index: plugins/puredata/help/help-aubioquiet~.pd
===================================================================
--- plugins/puredata/help/help-aubioquiet~.pd	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ 	(revision )
@@ -1,20 +1,0 @@
-#N canvas 225 643 515 246 10;
-#X obj 20 28 adc~;
-#X obj 19 192 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
--1;
-#X obj 119 192 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
--1;
-#X obj 19 156 aubioquiet~ -90;
-#X text 140 193 noisy;
-#X text 38 192 quiet;
-#X text 60 26 aubioquiet~ outputs bangs: - on its left input when a
-change to silence is detected - on its right output when a change to
-loudness is detected;
-#X text 59 82 object creation argument and right input can be used
-to set the noise threshold \, in dB. default value is -90;
-#X text 182 138 this object was written as an exercise and test. note
-that it could also easily be rewritten as a patch.;
-#X connect 0 0 3 0;
-#X connect 0 1 3 0;
-#X connect 3 0 1 0;
-#X connect 3 1 2 0;
Index: plugins/puredata/help/help-aubiotempo~.pd
===================================================================
--- plugins/puredata/help/help-aubiotempo~.pd	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#N canvas 245 501 672 291 10;
-#X obj 50 33 adc~;
-#X obj 50 97 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
--1;
-#X floatatom 128 29 5 0 0 0 - - -;
-#X text 180 71 the creation argument and right input can be used to
-set the detection threshold of the onset detection function. see the
-documentation for aubioonset~;
-#X obj 50 65 aubiotempo~ 0.3;
-#X text 181 26 aubiotempo~ takes an input signal and outputs a bang
-when at each detected beat location.;
-#X text 416 45;
-#X connect 0 0 4 0;
-#X connect 0 1 4 0;
-#X connect 2 0 4 1;
-#X connect 4 0 1 0;
Index: plugins/puredata/help/help-aubiotss~.pd
===================================================================
--- plugins/puredata/help/help-aubiotss~.pd	(revision 7e4613b0f6b72e52b56bbb7befb6dec5c5186c77)
+++ 	(revision )
@@ -1,70 +1,0 @@
-#N canvas 332 424 550 443 10;
-#X msg 173 64 debug;
-#X obj 138 11 adc~;
-#X obj 183 421 dac~;
-#X floatatom 244 74 5 0 0 0 - - -;
-#X obj 221 12 hsl 256 15 0 256 0 0 empty empty empty -2 -6 0 8 -262144
--1 -1 25200 1;
-#X obj 167 182 tgl 15 0 empty empty empty 0 -6 0 8 -262144 -1 -1 1
-1;
-#X obj 267 185 tgl 15 0 empty empty empty 0 -6 0 8 -262144 -1 -1 1
-1;
-#X text 265 161 play steady states components;
-#X text 8 160 play transients;
-#X floatatom 10 226 5 0 0 0 - - -;
-#X obj 13 182 hsl 128 15 0 127 0 0 empty empty empty -2 -6 0 8 -262144
--1 -1 11700 1;
-#X floatatom 285 225 5 0 0 0 - - -;
-#X obj 301 186 hsl 128 15 0 127 0 0 empty empty empty -2 -6 0 8 -262144
--1 -1 4100 1;
-#X text 236 -1 separation threshold;
-#X obj 144 96 aubiotss~ 0.015;
-#X text 265 99 transient and steady state separation;
-#X obj 244 239 *~ 1;
-#X obj 244 267 *~ 1;
-#X obj 144 240 *~ 1;
-#X obj 144 265 *~ 1;
-#X obj 285 204 / 68;
-#X obj 10 203 / 68;
-#X obj 244 51 / 256;
-#X obj 172 350 *~;
-#X obj 222 334 *~;
-#X obj 199 219 tgl 15 0 empty empty empty 0 -6 0 8 -262144 -1 -1 0
-1;
-#X text 185 204 stereo;
-#X obj 311 139 aubiotss~ 0.015;
-#X obj 299 68 * -1;
-#X obj 353 63 + 1;
-#X floatatom 412 63 5 0 0 0 - - -;
-#X connect 0 0 14 0;
-#X connect 1 0 14 0;
-#X connect 1 0 27 0;
-#X connect 1 1 14 0;
-#X connect 1 1 27 0;
-#X connect 3 0 14 1;
-#X connect 3 0 28 0;
-#X connect 4 0 22 0;
-#X connect 5 0 19 1;
-#X connect 6 0 17 1;
-#X connect 9 0 18 1;
-#X connect 10 0 21 0;
-#X connect 11 0 16 1;
-#X connect 12 0 20 0;
-#X connect 14 0 18 0;
-#X connect 16 0 17 0;
-#X connect 17 0 2 1;
-#X connect 17 0 24 0;
-#X connect 18 0 19 0;
-#X connect 19 0 2 0;
-#X connect 19 0 23 0;
-#X connect 20 0 11 0;
-#X connect 21 0 9 0;
-#X connect 22 0 3 0;
-#X connect 23 0 2 1;
-#X connect 24 0 2 0;
-#X connect 25 0 23 0;
-#X connect 25 0 24 1;
-#X connect 27 1 16 0;
-#X connect 28 0 29 0;
-#X connect 29 0 30 0;
-#X connect 30 0 27 1;
